Contacts
Create or Update Contact
Creates a new contact, or updates an existing one if an ID is provided in the body.
POST
/
contacts
Creates a new contact or updates an existing one based on phone number or email.
Body Parameters
email
string
The email address of the contact.
phoneNumber
string
The phone number of the contact (E.164 format recommended).
firstName
string
The first name of the contact.
lastName
string
The last name of the contact.
conversationId
string
The ID of an existing conversation to associate this contact with.
userId
string
The ID of the user to associate with this contact.
draftConfig
object
Additional draft configuration for the contact.
Authorizations
Authorization
string
headerrequiredBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
id
string | null
Include the ID to update an existing contact. Omit to create a new one.
email
string | null
phoneNumber
string | null
firstName
string | null
lastName
string | null
externalId
string | null
picture
string | null
metadata
object | null
Response
200 - application/json
id
string
organizationId
string
email
string | null
phoneNumber
string | null
firstName
string | null
lastName
string | null
externalId
string | null
picture
string | null
metadata
object | null
createdAt
string
updatedAt
string
Was this page helpful?

